Subject: bug#38026: [PATCH] Explain negative NABS in `goto-history-element'.

From: Hong Xu <[email-masked]>
Date: Sat, 9 Nov 2019 10:48:54 -0800

On 11/9/19 1:46 AM, Eli Zaretskii wrote:
>> Cc: [email-masked]
>> From: Hong Xu <[email-masked]>
>> Date: Sat, 2 Nov 2019 22:11:53 -0700
>>
>>> So I think the text needs not reference minibuffer-default, but
>>> instead talk about "future history", like the Emacs manual does.
>>>
>>
>> Thanks. Sounds like a good idea. I've attached an update.
> 
> Thanks, I pushed this, but please see how I fixed the log message, and
> also the additional fixes in my following commit.  In particular,
> please always mention the bug number in the commit log message.
> 
Thanks.

I did a search on "future history"

     git grep 'future history'

Except a result in Changelog, everywhere else uses `` and ''.

  doc/emacs/ChangeLog.1:5380:34:  (Minibuffer History): Describe "future history" list.  State default
  doc/emacs/mini.texi:647:25:as moving through the ``future history''.
  doc/emacs/mini.texi:649:9:@cindex future history for file names
  doc/emacs/mini.texi:652:9:  The ``future history'' for file names includes several possible
  doc/emacs/mini.texi:660:19:value, then the ``future history'' of file names will include only the
  doc/lispref/minibuf.texi:144:9:@cindex future history in minibuffer input
  doc/lispref/minibuf.texi:148:3:``future history'', available to the user with @kbd{M-n}.
  doc/lispref/minibuf.texi:2312:49:can go beyond the current position and invoke ``future history''
  lisp/simple.el:2134:45:negative number -N means the Nth entry of \"future history.\""

Are you sure that we should change them to " in the newly added doc?

Hong